﻿DELIMITER $$

DROP PROCEDURE IF EXISTS `test`.`ReproduceBug` $$
CREATE PROCEDURE `ReproduceBug`(
  IN  pName       varchar(50),
  IN  pID         int,
  OUT pNameID      int
)
BEGIN

DROP TABLE IF EXISTS `test`.`tab1`;
CREATE TABLE `test`.`tab1` (
  `c1` INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  `c2` VARCHAR(45) NOT NULL,
  `c3` VARCHAR(45) NOT NULL,
  PRIMARY KEY(`c1`)
)
ENGINE = Memory;

insert tab1(c2,c3) values ('line','one');
insert tab1(c2,c3) values ('line','two');
insert tab1(c2,c3) values ('line','three');
insert tab1(c2,c3) values ('line','four');



set pNameId  = 1;

select pName,pId,c1,c2,c3 from tab1 order by c1;
select pName,pId+1,c1,c2,c3  from tab1 order by c1;
select pName,pId+2,c1,c2,c3  from tab1 order by c1;

END $$

DELIMITER ;